package com.example.Models.Program;

import java.util.Collection;
import java.util.Hashtable;

import com.example.Exceptions.BaseException;

public interface IDictionary<K, V> {
    public void add(K key, V value) throws BaseException;
    public void update(K key, V value) throws BaseException;
    public void remove(K key) throws BaseException;
    public V get(K key) throws BaseException;
    public boolean contains(K key);
    public Collection<V> getContent();
    public IDictionary<K, V> copy();
    public Hashtable<K, V> getDictionary();
}
